<?php
// Balise pour afficher la version de SPIP en cours sur votre site
// Contrib de Scoty : http://www.koakidi.com/
// voir : http://www.spip-contrib.net/Collection-de-Balises
function balise_VERSION_SPIP_AFFICHEE($p) {
        $p->code = "'".$GLOBALS['spip_version_affichee']."'";
        $p->statut = 'php';
        return $p;
}

/*
 *   +----------------------------------+
 *    Nom du Filtre : Sommaire de l'article                                               
 *   +----------------------------------+
 *    Date : Vendredi 6 juin 2003
 *    Auteur :  Noplay (noplay@altern.org) 
 *              Aurlien PIERARD : aurelien.pierard@sig.premier-ministre.gouv.fr                                     
 *   +-------------------------------------+
 *    Fonctions de ce filtre :
 *      Cette modification permet d'afficher le sommaire de l'article 
 *      gnr dynamiquement  partir des intertitres du texte de l'article. 
 *		Vous pouvez naviguer dans l'article en cliquant sur les intitres 
 *      du sommaire de l'article. 
 *
 *      Tout ce qui ce trouve entre {{{ et }}} est considr comme un titre 
 *       ajouter au sommaire de l'article.
 *   +-------------------------------------+ 
 *  
 * 		Pour toute suggestion, remarque, proposition d'ajout
 * 		reportez-vous au forum de l'article :
 * 		http://spip_contrib.net/article.php3?id_article=76
*/
//SOMMAIRE
function sommaire_article($texte,$id_article)
{
		$artsuite = 0;
        $page = split('-----', $texte);
        $uri_art = generer_url_entite($id_article, 'article');
        $uri_art .= strpos($uri_art, '?') ? '&' : '?';

	$i=0;
	$texte="";
	while($page[$i]){
		// On ajoute une ancre aux intertitres "{{{ }}}" que l'on utilise pour crer le sommaire
		preg_match_all("|\{\{\{(.*)\}\}\}|U",$page[$i], $regs);
	 	$nb=1;
		for($j=0;$j<count($regs[1]);$j++){
			$p=$i+1;
	    	$texte=$texte."<li><a href=\"". $uri_art . "artsuite=" .$i. "#sommaire_".$nb."\" title=\"".$regs[1][$j]."\">".$regs[1][$j]."</a>,&nbsp;p$p</li>\n";
			$nb++;
	    }
		$i++;
	}
		if (empty($texte)) $texte="";
		else $texte="<ul>\n".$texte."</ul>\n";
		return $texte;
}
// Fin du filtre sommaire

/*
 *   +----------------------------------+
 *    Nom du Filtre : decouper_en_page                                               
 *   +----------------------------------+
 *    Date : Vendredi 6 juin 2003
 *    Auteur :  "gpl"  : gpl@macplus.org  
 *              Aurlien PIERARD : aurelien.pierard@sig.premier-ministre.gouv.fr
 *   +-------------------------------------+
 *    Fonctions de ce filtre :
 *		Il sert a prsenter un article sur plusieurs pages  
 *   +-------------------------------------+ 
 *  
 * Pour toute suggestion, remarque, proposition d'ajout
 * reportez-vous au forum de l'article :
 * http://www.uzine.net/spip_contrib/article.php3?id_article=62
*/

function decouper_en_page($texte,$id_article) {
        global $artsuite, $var_recherche, $num_pages;
		
        if (empty($artsuite)) $artsuite = 0;
	
		// on divise la page (sparateur : "-----")        
        $page = split('-----', $texte);
        // Nombre total de pages
        $num_pages = count($page);

        // Si une seule page ou numro illgal, alors retourner tout le texte.
        // Cas spcial : si var_recherche positionn, tout renvoyer pour permettre  la surbrillance de fonctionner correctement.
        if ($num_pages == 1 || !empty($var_recherche) || $artsuite < 0 || $artsuite > $num_pages) {
			// On place les ancres sur les intertitres
			$texte = preg_replace("|\{\{\{(.*)\}\}\}|U","<a id=\"sommaire_#NB_TITRE_DE_MON_ARTICLE#\"></a>$0", $texte);
			$array = explode("#NB_TITRE_DE_MON_ARTICLE#" , $texte);
			$res =count($array);
			$i =1;
			$texte=$array[0];
			while($i<$res){
				$texte=$texte.$i.$array[$i];
				$i++;
			}
			return $texte;
        } 

        $p_prec = $artsuite - 1;
        $p_suiv = $artsuite + 1;
        $uri_art = generer_url_entite($id_article, 'article');
        $uri_art .= strpos($uri_art, '?') ? '&' : '?';

		// On place les ancres sur les intertitres
		$page[$artsuite] = preg_replace("|\{\{\{(.*)\}\}\}|U","<a id=\"sommaire_#NB_TITRE_DE_MON_ARTICLE#\"></a>$0", $page[$artsuite]);
		$array = explode("#NB_TITRE_DE_MON_ARTICLE#" , $page[$artsuite]);
		$res =count($array);
		$i =1;
		$page[$artsuite]=$array[0];
		while($i<$res){
			$page[$artsuite]=$page[$artsuite].$i.$array[$i];
			$i++;
		}
		// Pagination
	    switch (TRUE) {
			case ($artsuite == 0):
				$precedent = "";
				$suivant = "<a href='" . $uri_art . "artsuite=" . $p_suiv . "'>&gt;&gt;</a>";
				break;
			case ($artsuite == ($num_pages-1)):
				$precedent = "<a href='" . $uri_art . "artsuite=" . $p_prec . "'>&lt;&lt;</a>";
				$suivant = "";
				break;
			default:
				$precedent = "<a href='" . $uri_art . "artsuite=" . $p_prec . "'>&lt;&lt;</a>";
				$suivant = "<a href='" . $uri_art . "artsuite=" . $p_suiv . "'>&gt;&gt;</a>";
				break;
        }
    
        for ($i = 0; $i < $num_pages; $i++) {
			$j = $i;
			if ($i == $artsuite) {
				$milieu .= " <strong>" . ++$j . "</strong> ";
            } 
			else {
				$milieu .= " <a href='" . $uri_art . "artsuite=$i'>" . ++$j . "</a> ";
			}
        }

        // Ici, on peut personnaliser la prsentation
        $resultat .= $page[$artsuite];
        $resultat .= "<div class='pagination' style='text-align:center'>pages : $precedent $milieu $suivant</div>";
        return $resultat;
}
// FIN du Filtre decouper_en_page

function target($letexte) {
	$letexte = ereg_replace("<a ([^>]*http://[^>]*#B#[^>]*)>", "<a \\1
	target=\"_blank\">", $letexte);
	$letexte = ereg_replace("<a ([^>]*http://[^>]*#S#[^>]*)>", "<a \\1
	target=\"_self\">", $letexte);
	$letexte = ereg_replace("<a ([^>]*http://[^>]*#P#[^>]*)>", "<a \\1
	target=\"_parent\">", $letexte);
	$letexte = ereg_replace("<a ([^>]*http://[^>]*#T#[^>]*)>", "<a \\1
	target=\"_top\">", $letexte);
	// apres recriture des urls supprssion des tags.
	$letexte  = ereg_replace("#B#","",$letexte);// _blank
	$letexte  = ereg_replace("#S#","",$letexte);// _self
	$letexte  = ereg_replace("#P#","",$letexte);// _parent
	$letexte  = ereg_replace("#T#","",$letexte);// _top
	return $letexte;
}

//function liens_target($text, $target='seconde') {
//   return eregi_replace("(\<a\ +href=('|\")http://[^\>]+)>", "\\1 target=\"$target\">", $text);
function liens_target($letexte) {
   return eregi_replace("(\<a\ +href=('|\")http://[^\>]+)>", "\\1 target=\"_blank\">", $letexte);
}

?>